<!--资格申请-添加-->
<template>
  <div class="addPage">
    <div class="addPage_title">
      <p>查看资格</p>
      <p  class="reset-button-one" @click="backPage">返回</p>
    </div>
    <!--基本信息-->
    <div class="info" v-if="form.apply">
      <li><i>申请人：</i><i>{{form.apply.applyUser}}</i></li>
      <li><i>联系方式：</i><i>{{form.apply.phone}}</i></li>
      <li><i>实验地点：</i><i>{{form.apply.location}}</i></li>
      <li><i>使用气体：</i><i>{{form.apply.useGasName}}</i></li>
      <li><i>使用期限：</i><i>{{form.apply.startTime}}-{{form.apply.endTime}}</i></li>
      <li><i>气瓶用途：</i><i>{{form.apply.gasUse}}</i></li>
      <li><i>主要安全措施：</i><i>{{form.apply.safetyPrecautions}}</i></li>
      <li class="look_img" @click="lookFile(form.apply.applyCertificate)"><i>用气申请表：</i><i>查看图片</i></li>
    </div>
    <div class="addPage_b">

      <!--审核记录-->
      <div  class="addPage_b_t">
        <div class="addPage_b_t_title">审核记录</div>
        <el-table border v-loading="loading" :data="form.auditlist" height="300">
          <el-table-column label="审核人" align="left" prop="auditUser"/>
          <el-table-column label="审核时间" align="left" prop="auditTime"></el-table-column>
          <el-table-column label="审核操作" align="left" prop="auditStatus">
            <template slot-scope="scope">
              <p :class="scope.row.auditStatus == 0?'color_warn':(scope.row.auditStatus == 1?'color_14AE10':(scope.row.auditStatus == 2?'color_red':''))">{{scope.row.auditStatus == 0?'待审核':(scope.row.auditStatus == 1?'通过':(scope.row.auditStatus == 2?'驳回':''))}}</p>
            </template>
          </el-table-column>
          <el-table-column label="审核说明" align="left" prop="remark">
            <template slot-scope="scope">
              <span >{{scope.row.remark?scope.row.remark:'-'}}</span>
            </template>
          </el-table-column>
        </el-table>
      </div>
    </div>
  </div>
</template>
<script>

import { getToken } from "@/utils/auth";
import {
  abnormalRecordDetail, qualificationcenterCheck,
  qualificationCheckDetail, qualificationlabCheck,
  subjectList,
  supplierCheck, useGasManageCheckDetail
} from '@/api/gasManage3_0/gasManage'
let Base64 = require('js-base64').Base64;
export default {
  name: "addPage",
  props:{
    pageData2:{},
  },
  data() {
    return {
      pageType:1,
      uploadImgUrl: window.location.href.split('://')[0]+'://' + process.env.VUE_APP_BASE_API + "/file/upload", // 上传的图片服务器地址
      headers: {
        Authorization: "Bearer " + getToken(),
      },
      // 设置只能选择当前日期及之后的日期
      pickerOptions0: {
        disabledDate(time) {
          return time.getTime() < Date.now() - 8.64e7;//如果没有后面的-8.64e7就是不可以选择今天的
        }
      },
      loading:false,
      form:{
        apply:{
          leadAuditStatus:'',
        },
      },
      dateRange:[],
      laboratoryOptions:[],

      // 查询参数
      queryParams: {
        pageNum: 1,

        pageSize:20,
      },
      // 实验室审核参数
      queryParamsCheck: {
        id: '',
        leadAuditStatus:'',//1通过2驳回
        leadAuditCause:'',//	审核内容
      },
      // 实验室审核参数
      queryParamsCheck2: {
        id: '',
        centerAuditStatus:'',//1通过2驳回
        centerAuditCause:'',//	审核内容
      },

      total:0,
      tableData:[],
    };
  },
  created() {

  },
  methods: {

    //审核按钮
    checkFun(){
      let _this=this;
      qualificationlabCheck(this.queryParamsCheck).then( response => {
        if(response.code==200){
          this.$message({
            type: 'success',
            message:response.msg,
            duration:2000,
            onClose:function(){
              _this.backPage();
              _this.loading = false;
            }
          });
        }
      });
    },
    //实验中心审核按钮
    checkFun2(){
      let _this=this;
      qualificationcenterCheck(this.queryParamsCheck2).then( response => {
        if(response.code==200){
          this.$message({
            type: 'success',
            message:response.msg,
            duration:2000,
            onClose:function(){
              _this.backPage();
              _this.loading = false;
            }
          });
        }
      });
    },

    /**查看图片  */
    lookFile(item){
      let visitUrl=window.location.href.split('://')[0]+'://'+process.env.VUE_APP_BASE_API+'/admin/'+item;
      console.log(visitUrl)
      window.open(window.location.href.split('://')[0]+'://'  + process.env.VUE_APP_BASE_FILE_API + '/onlinePreview?url='+encodeURIComponent(Base64.encode(visitUrl)));
    },
    /* 详情 */
    getInfo(id){
      let _this=this;
      useGasManageCheckDetail({id:id}).then( response => {
        let res=response.data;
        if(response.code==200){
          _this.form=res;
        }
      });

    },
    //返回
    backPage(){
      this.$parent.handleClick('','','back');
      this.$parent.getList();

    },

  },
  mounted() {
    this.queryParamsCheck.id=this.pageData2.id;
    this.queryParamsCheck2.id=this.pageData2.id;
    this.getInfo(this.pageData2.id);
  }

};
</script>

<style scoped lang="scss">
.addPage {
  flex:1;
  display: flex!important;
  flex-direction: column;
  box-shadow: 0 0 8px 2px rgba(0, 0, 0, 0.1);
  border-radius:10px;
  /*顶部*/
  .addPage_title{
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #E0E0E0;
    padding-top:20px;
    p:nth-child(1){
      flex: 1;
      line-height:60px;
      color: #0045AF;
      font-size:18px;
      margin:0 12px 0 20px;
    }
    p:nth-child(2){
      margin-right:20px;
    }
    p:nth-child(3){
      margin-right:20px;
    }
  }
  /*基本信息*/
  .info{
    display: flex;
    justify-content: flex-start;
    flex-wrap: wrap;
    align-items: center;
    >li{
      list-style-type: none;
      margin: 20px;
      >i{
        font-style: normal;
      }
      >i:nth-of-type(1){
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: 400;
        color: #999999;
        line-height: 16px;
      }
      >i:nth-of-type(2){
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: 400;
        color: #333333;
        line-height: 16px;
      }
    }
    .look_img{
      cursor: pointer;
      >i:nth-of-type(2){
        color: #0183FA;
      }
    }
  }
  .addPage_b{

    /*气瓶信息*/
    .addPage_b_t{
      padding: 0 20px;
      box-sizing: border-box;
      .addPage_b_t_title{
        font-size: 16px;
        font-family: Microsoft YaHei;
        font-weight: bold;
        color: #333333;
        line-height: 16px;
        margin: 40px 0 30px 0;
      }
    }
    .check_operate{
      text-align: center;
      margin-top: 20px;
      .apply_tree_b2{
        width: 800px;
      }
      .sub_btn{
        display: flex;
        justify-content: center;
        margin: 30px 0;
      }
    }

  }

}
</style>
